#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>

main()
{
  char str[10], *res; int x;
  FILE *fd=fopen("./pipe","r");
	int pid=fork();
if(pid==0){  
while(1) {
    res=fgets(str,10,fd);
    if(res!=NULL) {
      x=atoi(str); printf("x: %d.\n", x);
      system("ps -e -o pid,ppid,comm | grep uppg1");
    }
    sleep(1);
	if(x<=0){
		break;
		}
	if(x==1){
	pid = fork();
		if(pid==0){
printf("Godnatt");
sleep(5);//sleeping now
printf("Godmorgon");
}
}
  }
exit(0);

}
kill(getpid(),-9);
exit(0);

}
